/*!
 * Copyright (c) 2023, 2024 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import '~eclipsefdn-solstice-assets/less/astro/main.less';

@import 'abstracts/_variables.less';

@import 'base/_typography';

@import 'layout/_header.less';
@import 'layout/_footer.less';
@import 'layout/_sections.less';

@import 'base/_utility-classes.less';

// Hotfixes for missing variable uses
#footer {
  color: @footer-color;
  background: @footer-background;

  .nav > li > a {
    color: @footer-color;
  }
}

// Other hotfixes
.dark {
  color: @white;

  .text-primary {
    color: @brand-primary;
  }
}


